Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.interactive.form
Class PDSignature

    java.lang.Object
      org.pdfbox.pdmodel.interactive.form.PDField
          org.pdfbox.pdmodel.interactive.form.PDSignature

All Implemented Interfaces:
  COSObjectable

public class PDSignature
extends PDField

A class for handling the PDF field as a signature.

Version:
  $Revision: 1.3 $
Author:
  Ben Litchfield (ben@csh.rit.edu)

Field Summary

Fields inherited from class org.pdfbox.pdmodel.interactive.form.PDField
`FLAG_NO_EXPORT, FLAG_READ_ONLY, FLAG_REQUIRED`

Constructor Summary
`PDSignature(PDAcroForm theAcroForm, COSDictionary field)`

Method Summary
`String` | `getValue()` getValue gets the fields value to as a string.
`void` | `setValue(String value)` setValue sets the fields value to a given string.
`String` | `toString()` Return a string rep of this object.

Methods inherited from class org.pdfbox.pdmodel.interactive.form.PDField
`findFieldType, getAcroForm, getActions, getCOSObject, getDictionary, getFfFlag, getFieldFlags, getFieldType, getFullyQualifiedName, getKids, getParent, getPartialName, getWidget, importFDF, isNoExport, isReadonly, isRequired, setAcroForm, setActions, setFfFlag, setFieldFlags, setKids, setNoExport, setParent, setPartialName, setReadonly, setRequired`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PDSignature

    public PDSignature(PDAcroForm theAcroForm,
                       COSDictionary field)

Parameters:
  `theAcroForm` - The acroForm for this field.
  `field` - The dictionary for the signature.
See Also:
  `org.pdfbox.pdmodel.field.PDField#COSField(org.pdfbox.cos.COSDictionary)`

Method Detail

### setValue

    public void setValue(String value)
                  throws IOException

  Description copied from class: `PDField`
  setValue sets the fields value to a given string.

  Specified by:
    `setValue` in class `PDField`
  Parameters:
    `value` - The new value for the field.
  Throws:
    `IOException` - If there is an error creating the appearance stream.
  See Also:
    `as.interactive.pdf.form.cos.COSField#setValue(java.lang.String)`

### getValue

    public String getValue()
                    throws IOException

  Description copied from class: `PDField`
  getValue gets the fields value to as a string.

  Specified by:
    `getValue` in class `PDField`
  Returns:
    The string value of this field.
  Throws:
    `IOException` - If there is an error creating the appearance stream.
  See Also:
    `as.interactive.pdf.form.cos.COSField#setValue(java.lang.String)`

### toString

    public String toString()

  Return a string rep of this object.

  Overrides:
    `toString` in class `PDField`
  Returns:
    A string rep of this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD